SDL_RenderFillRects(3)

NAME
SDL_RenderFillRects - Fill some number of rectangles on the current rendering target with the drawing color at subpixel precision.

SYNOPSIS
#include <SDL3/SDL_render.h>

bool SDL_RenderFillRects(SDL_Renderer *renderer, const SDL_FRect *rects, int count);

FUNCTION PARAMETERS

renderer
    the renderer which should fill multiple rectangles.

rects
    a pointer to an array of destination rectangles.

count
    the number of rectangles.

RETURN VALUE
for more information.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_RenderFillRect(3)